<template>
  <incumplimientos
    :loadingTitle="loadingTitle"
    :loadingContent="loadingContent"
    :titleNotFound="titleNotFound"
    :contentNotFound="contentNotFound"
    :data="data"
  />
</template>
<script>
import Incumplimientos from "@/views/secure/sistema-informacion/dashboards/v2/disciplinas/components/graficas/Incumplimientos.vue";
import store from "@/store";
const axios = store.state.axiosApiLocal;
export default {
  name: "Component-NoXIncumplimientosImpl",
  props: ["filters"],
  components: {
    Incumplimientos,
  },
  data() {
    return {
      loadingTitle: true,
      loadingContent: true,
      titleNotFound: false,
      contentNotFound: false,
      data: {
        descripcion: "Top de Incumplimientos",
        values: [],
      },
    };
  },
  watch: {
    filters(val) {
      this.getData();
    },
  },
  methods: {
    getGrafica() {
      axios(
        "/sistema-informacion/tablero/graficas/v1/clave/generica-top-incumplimiento"
      )
        .then((response) => {
          let data = response.data;
          if (data) {
            this.data = Object.assign(this.data, data.resultado);
          }
        })
        .catch((error) => {
          this.titleNotFound = true;
          console.log(error);
        })
        .finally(() => {
          this.loadingTitle = false;
        });
    },
    getData() {
      this.loadingContent = true;
      this.contentNotFound = false;
      axios
        .post(
          "/sistema-informacion/tablero/reportes/v1/disciplinas/" +
            this.filters.path.idDisciplina +
            "/generico/incumplimientos/busquedas",
          this.filters.request
        )
        .then((response) => {
          let data = response.data;
          if (data) {
            let incumplimientos = data.resultado.incumplimientos;
            this.data.values = [];
            incumplimientos.forEach((element) => {
              this.data.total = element.porcentaje;
              this.data.values.push({
                ponderacion: element.ponderacion + "%",
                puntosVenta: element.puntosVenta,
                descripcion: element.descripcion,
              });
            });
          }
        })
        .catch((error) => {
          this.contentNotFound = true;
          console.log(error);
        })
        .finally(() => {
          this.loadingContent = false;
        });
    },
  },
  created() {
    this.getGrafica();
  },
};
</script>
